--- title: "Get Transaction Verification" slug: "get-transaction-verification" updated: 2025-06-27T19:53:07Z published: 2025-06-27T19:53:07Z canonical: "docs.onespan.com/get-transaction-verification" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Transaction Verification The Get Transaction Verification API retrieves the results of a transaction verification. The request needs to contain the transaction ID. ## Syntax GET /api/transaction/uuid: transaction_id/verification ## Examples ### Example request 1. GET /api/transaction/dcaad720-d1e9-47ba-a76b-a6370ef0373b HTTP/1.1 2. Host: onespan.com 3. Accept: application/json, text/javascript ### Example response 1. HTTP/1.1 200 OK 2. Vary: Accept 3. Content-Type: application/json{ 4. "vHubTransaction": "...", 5. "verificationResults": [ 6. { 7. "provider":"name_of_verification_provider", 8. "type":"document_id", 9. "content":"{ 10. "configuration": { ... }, 11. "dossierMetadata": { ... }, 12. "evidence": [{ ... }], 13. "findings": { ... } 14. } 15. } 16. ] 17. } ### Headers The following headers are included in the request and the response: #### Request headers - [Accept](https://tools.ietf.org/html/rfc7231#section-5.3.2): The response content type depends on the Accept header. - [Authorization](https://tools.ietf.org/html/rfc7235#section-4.2): The OAuth/JWT token to authenticate. #### Response headers - [Content-Type](https://tools.ietf.org/html/rfc7231#section-3.1.1.5): application/json ### Status codes

Status codes

Status code

Name

Description

200

OK

No error.

400

Bad Request

The transaction data is invalid.

401

Unauthorized

Invalid token.

403

Forbidden

The token does not grant transaction creation rights.

500

Internal Server Error

Server or application error.

> The content of this API contains data elements provided by our partners and is subject to changes and updates by our partners. Such content may include errors, omission, technical or other mistakes, or inaccuracies. We will assist you to the best of our ability, but please note that we do not fully control this content.